Bug 1583318 - hammer recurring-logic list command does not accept options --per-page or --page but suggests those option
Summary: hammer recurring-logic list command does not accept options --per-page or --p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin
Version: 6.3.0
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: Released
Assignee: Adam Ruzicka
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-28 16:59 UTC by Gauravi
Modified: 2019-10-07 17:13 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.13.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:30 UTC
Foreman Issue Tracker 23881 None None None 2018-06-11 12:48:40 UTC
Red Hat Knowledge Base (Solution) 3508291 None None None 2018-08-24 12:11:43 UTC

Description Gauravi 2018-05-28 16:59:21 UTC
Description of problem:
hammer recurring-logic list command does not accept options --per-page or --page but suggests them when there are more number of output rows

Version-Release number of selected component (if applicable):
Satellite 6.3

How reproducible:
Always

Steps to Reproduce:
1. Have more number of recurring logics, let say more than 15
2. Try to list them using below command:
   _______________________________
   # hammer recurring-logic list
   _______________________________
   o/p:
   ______________________________________________________________________
   ---|-------------|----------|-----------|----------
   ID | CRON LINE   | END TIME | ITERATION | STATE
   ---|-------------|----------|-----------|----------
   // some output rows will be displayed here followed by below message
   ---|-------------|----------|-----------|----------
   Page 1 of 6 (use --page and --per-page for navigation)
   ______________________________________________________________________

3.Now use either of the options mentioned:
   ____________________________________________  
   # hammer recurring-logic list --per-page 20
   Error: Unrecognised option '--per-page'

   See: 'hammer recurring-logic list --help'
   ____________________________________________

Actual results:
hammer command is not accepting the mentioned option and giving below error:
____________________________________________
Error: Unrecognised option '--per-page'

See: 'hammer recurring-logic list --help'
____________________________________________

Expected results:
Either those options should be accepted by the command or if not then the message should be removed that suggests to run those options.

Additional info:
After checking the possible options with --help, it did not give any such options so it seems to me that no such option exists there at the moment.
___________________________________________
# hammer recurring-logic list -h
Usage:
    hammer recurring-logic list [OPTIONS]

Options:
 -h, --help                    print help
___________________________________________

Comment 2 Adam Ruzicka 2018-06-11 12:48:35 UTC
Created redmine issue http://projects.theforeman.org/issues/23881 from this bug

Comment 3 pm-sat@redhat.com 2018-06-13 18:17:50 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23881 has been resolved.

Comment 6 Peter Ondrejka 2018-11-02 10:29:10 UTC
Verified on Satellite 6.5 snap 1

~]# hammer recurring-logic list --per-page 2
---|-------------|----------|-----------|-------
ID | CRON LINE   | END TIME | ITERATION | STATE 
---|-------------|----------|-----------|-------
1  | 0 0 * * 6   |          | 0         |       
2  | 22 11 * * * |          | 1         | active
---|-------------|----------|-----------|-------
Page 1 of 3 (use --page and --per-page for navigation).

~]# hammer recurring-logic list --per-page 2 --page 2
---|---------------|----------|-----------|-------
ID | CRON LINE     | END TIME | ITERATION | STATE 
---|---------------|----------|-----------|-------
3  | 23 11 2 * *   |          | 1         | active
4  | 23 11 * * 3,7 |          | 1         | active
---|---------------|----------|-----------|-------
Page 2 of 3 (use --page and --per-page for navigation).

Comment 10 errata-xmlrpc 2019-05-14 12:37:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.